;;; 50pcf2bdf-el.el -- debian emacs setups for pcf2bdf-el.

;; Copyright 2014 Kevin Ryde

;; This file is part of pcf2bdf-el.
;;
;; pcf2bdf-el is free software; you can redistribute it and/or modify it under
;; the terms of the GNU General Public License as published by the Free
;; Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; pcf2bdf-el is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

(let ((dir (concat "/usr/share/"
                   (symbol-name debian-emacs-flavor)
                   "/site-lisp/pcf2bdf-el")))

  (cond ((not (file-exists-p "/usr/share/emacs/site-lisp/pcf2bdf-el/pcf2bdf.el"))
         (message "pcf2bdf-el removed but not purged, skipping setup"))

        ((not (file-exists-p (expand-file-name "pcf2bdf.el" dir)))
         ;; autoloads not available until install script succeeds, ignore
         ;; until then for the benefit of other byte compiling, such as
         ;; emacsen-common compiling 00debian-vars.el
         (message "pcf2bdf-el not yet byte-compiled, skipping setup"))

        (t
         ;; debian-pkg-add-load-path-item as from debian 3.1 "sarge",
         ;; emacsen-common 1.4.14 of June 2002
         (debian-pkg-add-load-path-item dir)

         ;; as per autoload cookies in pcf2bdf.el
         (modify-coding-system-alist 'file "\\.pcf\\'" 'raw-text-unix)
         (autoload 'pcf2bdf "pcf2bdf"
           "Decode a pcf font file to bdf text using the pcf2bdf program."
           t nil)

         (add-to-list 'auto-mode-alist '("\\.pcf\\'" . pcf2bdf)))))
